* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /*font-family: Arial, Helvetica, sans-serif;*/
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: lightgrey;
    background-color: #1a1a1a;
}

body {
    font-size: calc(15px + 0.390625vw);
    background-image: radial-gradient(#99999950 1px, transparent 1px);
    background-size: 60px 60px;
}

main {
    padding: 1%;
}

#core {

    min-height: 50vh;

}

#flex-container {
    display: flex;
    flex-direction: column;

    /* fallback height */
    min-height: 100vh;

    /* new small viewport height for modern browsers */
    min-height: 100svh;
}

#flex-container>footer {
    margin-top: auto;
}

a {
    text-decoration: none;
}

a:link,
a:visited {
    color: lightgray;
    padding: 15px;
    font-size: 3rem;
}

a:hover {
    color: #fff;
}


img.headImg {
    padding: 1%;
    margin-top: 10px;
    margin-bottom: 2rem;
    margin-left: auto;
    margin-right: auto;
    max-width: 100px;
    height: auto;
    display: block;

}

p.descriptionText {
    margin: 2vh;
    padding: 1%;
    font-size: 1.5rem;
    text-align: center;
}

.socialMedia {

    padding: 2vh;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    gap: 20px;
    justify-content: center;

}

.socialmedia.a {
    /*define o tamanho dos ícones */
    width: 5rem;
}

hr {
    /*caracteristicas da linha horizontal */
    width: 100%;
    height: 6px;
    margin-left: auto;
    margin-right: auto;
    background-color: lightgrey;
}

.under {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: calc(8px + 1.5625vw);
    background-color: #1a1a1a;
}

p.underP {
    text-align: end;
    margin-top: .5rem;
    font-size: 1rem;
}

img.logo {
    max-width: 60%;
    min-width: 30%;
    height: auto;
    display: block;

}

@media only screen and (max-width: 920px) {
    p.descriptionText {
        font-size: 1.2rem;
    }

    .socialMedia {

        padding-inline: 10vh;

    }

    .under {
        justify-content: end;
    }

    img.logo {
        min-width: 100%;
        height: auto;
        display: block;
    }

    p.underP {
        text-align: end;
        margin-top: 1rem;

    }
}

footer {
    font-family: 'Courier New', Courier, monospace;
    font-size: .75rem;
    text-align: center;
    background-color: #1a1a1a;

}